MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026216Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-05-13 09:012016-04-20 15:51
Reporterink 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026216: New functionality. Converting the compound to assembly.
DescriptionNecessary to create new functionality: converting the compound to assembly. This is necessary for detailed displaying model, which does not have assembly.
Steps To Reproducepload ALL
box b1 10 0 0 10 10 10
box b2 20 0 0 10 10 10
box b3 30 0 0 10 10 10
compound b1 b2 c1
compound c1 b3 c2
NewDoc D
XAddShape D c2 0
XSetColor D b1 1 0 0
XSetColor D b2 0 1 0
XSetColor D b3 0 0 1
explode b1
explode b1_1
XSetColor D b1_1_1 1 1 0
explode b3
explode b3_1
XSetColor D b3_1_1 1 1 0
XExpand D 1
DFB D
TagsNo tags attached.
Test case numberbugs xde bug26216, bug23911_1
Attached Files

- Relationships
parent of 0026353newapn Update of test case bugs xde bug25441 after fixes integration 0026302 and 0026216 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0040839)
git (administrator)
2015-05-13 11:01

Branch CR26216 has been created by ink.

SHA-1: c05e9471dd869c7c433ea97c65761f35089fe23e


Detailed log of new commits:

Author: ink
Date: Wed May 13 11:00:09 2015 +0300

    0026216: New functionality. Converting the compound to assembly.
    
    Added new functionality for converting the compound to assembly.
    Added new drw command XExpand.
(0040901)
git (administrator)
2015-05-14 14:21

Branch CR26216 has been updated by ink.

SHA-1: 1c24ec7c71ad5366066c91bfa9a6e4c8a227867f


Detailed log of new commits:

Author: ink
Date: Thu May 14 14:21:14 2015 +0300

    Move functionality to XCAFDoc_Editor, added test.

(0040905)
git (administrator)
2015-05-14 14:42

Branch CR26216 has been updated forcibly by ink.

SHA-1: 67b774dfc84ff50a6d1fc59e3a2642591a34ac8b
(0040907)
git (administrator)
2015-05-14 15:26

Branch CR26216 has been updated forcibly by ink.

SHA-1: 854b9b29b8c5877933548fd0cca0c0aad4f271e4
(0041320)
git (administrator)
2015-05-20 15:44

Branch CR26216 has been updated forcibly by ink.

SHA-1: b153a8fdc1969760b847535c33e989b8bccb848c
(0041325)
abv (manager)
2015-05-20 16:25

Reviewed, please test (it is new functionality, thus it should be sufficient to check compilation and new test cases included with the patch)
(0041334)
git (administrator)
2015-05-20 18:00

Branch CR26216 has been updated forcibly by apv.

SHA-1: 526be6832545bbff6cab3b9b40d3e7854fd5c96e
(0041335)
apv (tester)
2015-05-20 18:02

Branch CR26216 has been rebased on the current master
(0041373)
apv (tester)
2015-05-21 12:49

Dear BugMaster,

Branch CR26216 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 526be6832545bbff6cab3b9b40d3e7854fd5c96e

Number of compiler warnings:
occt component:
   Linux: 25
   Windows: 0
products component:
   Linux: 37
   Windows: 0

Regressions/Differences:
http://occt-tests/CR26216-master-occt-64/Debian70-64/summary.html [^]
http://occt-tests/CR26216-master-occt-64/Windows-64-VC10/summary.html [^]
bugs xde bug23911

Testing cases:
bugs xde bug26216 - OK
http://occt-tests/CR26216-master-occt-64/Debian70-64/bugs/xde/bug26216.html [^]
http://occt-tests/CR26216-master-occt-64/Windows-64-VC10/bugs/xde/bug26216.html [^]

Testing on Linux:
Total MEMORY difference: 99928771 / 100320983 [-0.39%]
Total CPU difference: 18907.73000000008 / 19409.190000000173 [-2.58%]

Testing on Windows:
Total MEMORY difference: 59006190 / 59223806 [-0.37%]
Total CPU difference: 16838.88834089902 / 16974.344009198943 [-0.80%]
(0041383)
git (administrator)
2015-05-21 14:26

Branch CR26216 has been updated forcibly by ink.

SHA-1: f3f34b6127a709e393c46099cf3d5e2605d7f8cf
(0041384)
git (administrator)
2015-05-21 14:27

Branch CR26216 has been updated forcibly by ink.

SHA-1: 04e478ad95c82f46d047052790742e23ea6e32bd
(0041388)
git (administrator)
2015-05-21 15:25

Branch CR26216 has been updated forcibly by ink.

SHA-1: 6e6eab0eb052620350237059b2e8012a71751da3
(0041390)
abv (manager)
2015-05-21 15:44

Oops, it turns that we have actually three (not two) kinds of top level shapes in XDE:
- PART is just a shape without location
- INSTANCE is located instance of a shape (reference to PART + location)
- ASSEMBLY is set of INSTANCEs (COMPOUND in OCCT)

Please extend naming and dumping tools to reflect this difference
(0041413)
git (administrator)
2015-05-22 10:17

Branch CR26216 has been updated forcibly by ink.

SHA-1: 05291c073cc7bb368470672ed049e9e0561208af
(0041416)
git (administrator)
2015-05-22 11:12

Branch CR26216 has been updated forcibly by ink.

SHA-1: 7f0d001e3d61c829780bacbf8f00c2ec1e7ac685
(0041709)
git (administrator)
2015-05-29 11:42

Branch CR26216 has been updated forcibly by ink.

SHA-1: 89113d90fb95289f5de74ccd643915cebd94dca0
(0041835)
git (administrator)
2015-06-02 13:44

Branch CR26216 has been updated forcibly by ink.

SHA-1: a175c768b6194f521ac666ca77a0ca70596de2ae
(0041842)
git (administrator)
2015-06-02 14:45

Branch CR26216 has been updated forcibly by ink.

SHA-1: af508a3caea5e7bd63664352a5f9d76b6a46bae4
(0041844)
git (administrator)
2015-06-02 14:50

Branch CR26216 has been updated forcibly by ink.

SHA-1: 4f20c8c45b18e4e0d9d5ea2fa2c130ebb8d818da
(0044391)
gka (developer)
2015-08-18 18:26

Branch CR26216 is ready to be tested
(0044397)
mkv (tester)
2015-08-18 19:58

Dear ink,
could you please rebase branch CR26216 on current master, there are conflict files.
(0044413)
git (administrator)
2015-08-19 12:37

Branch CR26216 has been updated forcibly by ink.

SHA-1: 4d4607af8f242f7d070c15a148dca9ad90eb4a82
(0044419)
gka (developer)
2015-08-19 13:10

Branch CR26216 is ready to be tested
(0044465)
mkv (tester)
2015-08-20 14:21

Dear BugMaster,
Branch CR26216 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 4d4607af8f242f7d070c15a148dca9ad90eb4a82

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26216-master-occt-64/Debian70-64/bugs/xde/bug26216.html [^]
http://occt-tests/CR26216-master-occt-64/Windows-64-VC10/bugs/xde/bug26216.html [^]
bugs xde bug26216: FAILED

http://occt-tests/CR26216-master-occt-64/Debian70-64/bugs/xde/bug23911_1.html [^]
http://occt-tests/CR26216-master-occt-64/Windows-64-VC10/bugs/xde/bug23911_1.html [^]
bugs xde bug23911_1: OK

Testing on Linux:
occt component :
Total MEMORY difference: 92153034 / 92345637 [-0.21%]
Total CPU difference: 18113.68999999902 / 17965.069999998996 [+0.83%]
products component :
Total MEMORY difference: 24838435 / 24839015 [-0.00%]
Total CPU difference: 7139.449999999995 / 6874.220000000016 [+3.86%]

Testing on Windows:
occt component :
Total MEMORY difference: 56844461 / 56854320 [-0.02%]
Total CPU difference: 16342.04075599904 / 16438.2153724993 [-0.59%]
products component :
Total MEMORY difference: 16013617 / 16017814 [-0.03%]
Total CPU difference: 5144.55417769996 / 5265.439352599951 [-2.30%]

There are no differences in images found by testdiff.
(0045227)
git (administrator)
2015-09-08 14:46

Branch CR26216 has been updated forcibly by ink.

SHA-1: 87040bdc038cacc3dcb5a7418d38e8759b6e20c9
(0045239)
gka (developer)
2015-09-08 15:53

Branch CR26216 is ready to be tested.
(0045356)
mkv (tester)
2015-09-09 19:03

Dear BugMaster,
Branch CR26216 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 87040bdc038cacc3dcb5a7418d38e8759b6e20c9

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26216-master-occt-64/Debian70-64/bugs/xde/bug26216.html [^]
http://occt-tests/CR26216-master-occt-64/Windows-64-VC10/bugs/xde/bug26216.html [^]
bugs xde bug26216: FAILED

http://occt-tests/CR26216-master-occt-64/Debian70-64/bugs/xde/bug23911_1.html [^]
http://occt-tests/CR26216-master-occt-64/Windows-64-VC10/bugs/xde/bug23911_1.html [^]
bugs xde bug23911_1: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91598351 / 91941677 [-0.37%]
Total CPU difference: 17664.509999998914 / 17713.78999999897 [-0.28%]
products component :
Total MEMORY difference: 25230009 / 25220029 [+0.04%]
Total CPU difference: 7145.819999999986 / 6936.800000000004 [+3.01%]

Testing on Windows:
occt component :
Total MEMORY difference: 57154280 / 57146693 [+0.01%]
Total CPU difference: 16533.39158259904 / 16584.80951219933 [-0.31%]
products component :
Total MEMORY difference: 16226009 / 16225943 [+0.00%]
Total CPU difference: 5280.446648799987 / 5398.88260799997 [-2.19%]

There are no differences in images found by testdiff.
(0047205)
git (administrator)
2015-10-20 08:59

Branch CR26216 has been updated forcibly by ink.

SHA-1: 061e4c6b63a64b76df2db16e28803d2bda2a0c82
(0047259)
gka (developer)
2015-10-21 11:02

Branch CR26216 is ready to be tested
(0047328)
mkv (tester)
2015-10-22 13:14

Dear BugMaster,
Branch CR26216 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 061e4c6b63a64b76df2db16e28803d2bda2a0c82

Number of compiler warnings:

occt component :
Linux: 8 (8 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26216-master-occt-64/Debian70-64/bugs/xde/bug26216.html [^]
http://occt-tests/CR26216-master-occt-64/Windows-64-VC10/bugs/xde/bug26216.html [^]
bugs xde bug26216: OK
http://occt-tests/CR26216-master-occt-64/Debian70-64/bugs/xde/bug23911_1.html [^]
http://occt-tests/CR26216-master-occt-64/Windows-64-VC10/bugs/xde/bug23911_1.html [^]
bugs xde bug23911_1: OK

Testing on Linux:
occt component :
Total MEMORY difference: 92272959 / 92263051 [+0.01%]
Total CPU difference: 19772.339999999775 / 19657.219999999732 [+0.59%]
products component :
Total MEMORY difference: 26211127 / 26295062 [-0.32%]
Total CPU difference: 7893.809999999987 / 7414.720000000001 [+6.46%]

Testing on Windows:
occt component :
Total MEMORY difference: 58017719 / 58040579 [-0.04%]
Total CPU difference: 18017.273094598877 / 17972.422807098967 [+0.25%]
products component :
Total MEMORY difference: 17162200 / 17167618 [-0.03%]
Total CPU difference: 5581.5597789999665 / 5655.301451699955 [-1.30%]

There are no differences in images found by testdiff.
(0047329)
mkv (tester)
2015-10-22 13:15

Dear BugMaster,
Branch CR26216 is TESTED.
(0053206)
git (administrator)
2016-04-17 14:38

Branch CR26216 has been deleted by kgv.

SHA-1: 061e4c6b63a64b76df2db16e28803d2bda2a0c82

- Related Changesets
occt: master 5f07d05d
Timestamp: 2015-08-19 09:37:28
Author: ink
Committer: bugmaster
Details ] Diff ]
0026216: New functionality. Converting the compound to assembly.

Added new functionality for converting the compound to assembly.
Added new drw command XExpand.
Changed DumpShape and DumpAssembly
Added test.

test changed
mod - src/XCAFDoc/FILES Diff ] File ]
mod - src/XCAFDoc/XCAFDoc.hxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_Editor.cxx Diff ] File ]
add - src/XCAFDoc/XCAFDoc_Editor.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.hxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Common.cxx Diff ] File ]
mod - tests/bugs/xde/bug23911 Diff ] File ]
add - tests/bugs/xde/bug23911_1 Diff ] File ]
add - tests/bugs/xde/bug26216 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-13 09:01 ink New Issue
2015-05-13 09:01 ink Assigned To => abv
2015-05-13 11:01 git Note Added: 0040839
2015-05-14 14:21 git Note Added: 0040901
2015-05-14 14:42 git Note Added: 0040905
2015-05-14 15:26 git Note Added: 0040907
2015-05-20 15:44 git Note Added: 0041320
2015-05-20 15:52 ink Status new => resolved
2015-05-20 15:52 ink Steps to Reproduce Updated View Revisions
2015-05-20 16:25 abv Note Added: 0041325
2015-05-20 16:25 abv Assigned To abv => bugmaster
2015-05-20 16:25 abv Status resolved => reviewed
2015-05-20 16:27 mkv Assigned To bugmaster => apv
2015-05-20 18:00 git Note Added: 0041334
2015-05-20 18:02 apv Note Added: 0041335
2015-05-21 12:45 apv Test case number => bugs xde bug26216
2015-05-21 12:49 apv Note Added: 0041373
2015-05-21 12:49 apv Assigned To apv => ink
2015-05-21 12:49 apv Status reviewed => assigned
2015-05-21 14:26 git Note Added: 0041383
2015-05-21 14:27 git Note Added: 0041384
2015-05-21 14:28 ink Assigned To ink => abv
2015-05-21 14:28 ink Status assigned => resolved
2015-05-21 15:25 git Note Added: 0041388
2015-05-21 15:44 abv Note Added: 0041390
2015-05-21 15:44 abv Assigned To abv => ink
2015-05-21 15:44 abv Status resolved => assigned
2015-05-22 10:17 git Note Added: 0041413
2015-05-22 10:18 ink Assigned To ink => abv
2015-05-22 10:18 ink Status assigned => resolved
2015-05-22 11:12 git Note Added: 0041416
2015-05-29 11:42 git Note Added: 0041709
2015-06-02 13:44 git Note Added: 0041835
2015-06-02 14:45 git Note Added: 0041842
2015-06-02 14:50 git Note Added: 0041844
2015-06-19 11:03 apv Relationship added parent of 0026353
2015-08-13 11:09 abv Assigned To abv => gka
2015-08-18 18:26 gka Note Added: 0044391
2015-08-18 18:26 gka Assigned To gka => bugmaster
2015-08-18 18:26 gka Status resolved => reviewed
2015-08-18 19:58 mkv Note Added: 0044397
2015-08-18 19:58 mkv Assigned To bugmaster => ink
2015-08-18 19:58 mkv Status reviewed => feedback
2015-08-19 12:37 git Note Added: 0044413
2015-08-19 12:41 ink Assigned To ink => gka
2015-08-19 12:41 ink Status feedback => resolved
2015-08-19 13:10 gka Note Added: 0044419
2015-08-19 13:10 gka Assigned To gka => bugmaster
2015-08-19 13:10 gka Status resolved => reviewed
2015-08-19 16:36 mkv Assigned To bugmaster => mkv
2015-08-20 14:21 mkv Note Added: 0044465
2015-08-20 14:21 mkv Assigned To mkv => ink
2015-08-20 14:21 mkv Status reviewed => assigned
2015-08-20 14:21 mkv Test case number bugs xde bug26216 => bugs xde bug26216, bug23911_1
2015-09-08 14:46 git Note Added: 0045227
2015-09-08 14:46 ink Assigned To ink => gka
2015-09-08 14:46 ink Status assigned => resolved
2015-09-08 15:53 gka Note Added: 0045239
2015-09-08 15:53 gka Assigned To gka => bugmaster
2015-09-08 15:53 gka Status resolved => reviewed
2015-09-08 16:20 apv Assigned To bugmaster => mkv
2015-09-09 19:03 mkv Note Added: 0045356
2015-09-09 19:03 mkv Assigned To mkv => ink
2015-09-09 19:03 mkv Status reviewed => assigned
2015-10-20 08:59 git Note Added: 0047205
2015-10-20 09:00 ink Assigned To ink => gka
2015-10-20 09:00 ink Status assigned => resolved
2015-10-21 11:02 gka Note Added: 0047259
2015-10-21 11:02 gka Assigned To gka => bugmaster
2015-10-21 11:02 gka Status resolved => reviewed
2015-10-21 12:45 mkv Assigned To bugmaster => mkv
2015-10-22 13:14 mkv Note Added: 0047328
2015-10-22 13:15 mkv Note Added: 0047329
2015-10-22 13:15 mkv Assigned To mkv => bugmaster
2015-10-22 13:15 mkv Status reviewed => tested
2015-10-23 12:30 bugmaster Changeset attached => occt master 5f07d05d
2015-10-23 12:30 bugmaster Status tested => verified
2015-10-23 12:30 bugmaster Resolution open => fixed
2016-04-17 14:38 git Note Added: 0053206
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:51 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker